(* Content-type: application/vnd.wolfram.mathematica *)

(*** Wolfram Notebook File ***)
(* http://www.wolfram.com/nb *)

(* CreatedBy='Mathematica 11.0' *)

(*CacheID: 234*)
(* Internal cache information:
NotebookFileLineBreakTest
NotebookFileLineBreakTest
NotebookDataPosition[       158,          7]
NotebookDataLength[     10767,        241]
NotebookOptionsPosition[      9943,        207]
NotebookOutlinePosition[     10301,        223]
CellTagsIndexPosition[     10258,        220]
WindowFrame->Normal*)

(* Beginning of Notebook Content *)
Notebook[{
Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
   "First", " ", "quit", " ", "the", " ", "Kernel", " ", "to", " ", "avoid", 
    " ", "shadowing", " ", "variable", " ", "names"}], " ", "*)"}], 
  "\[IndentingNewLine]", 
  RowBox[{"Quit", "[", "]"}]}]], "Input",
 CellChangeTimes->{{3.822733725748939*^9, 3.822733762412119*^9}, {
  3.8227373305814133`*^9, 3.822737330690278*^9}}],

Cell[CellGroupData[{

Cell[BoxData[
 RowBox[{
  RowBox[{"(*", " ", 
   RowBox[{
    RowBox[{
    "Move", " ", "to", " ", "the", " ", "DRAKE", " ", "directory", " ", 
     "through", "\[IndentingNewLine]", 
     RowBox[{
     "SetDirectory", "[", 
      "\"\<<path to DRAKE main directory (where DRAKE.wl is located)>\>\"", 
      "]"}]}], ";", "\[IndentingNewLine]", 
    RowBox[{
    "or", " ", "if", " ", "using", " ", "directly", " ", "this", " ", 
     RowBox[{"test", ".", "nb"}], " ", 
     RowBox[{"notebook", ":"}]}]}], " ", "*)"}], "\[IndentingNewLine]", 
  RowBox[{
   RowBox[{
    RowBox[{"SetDirectory", "[", 
     RowBox[{
      RowBox[{"NotebookDirectory", "[", "]"}], "<>", "\"\</../\>\""}], "]"}], 
    ";"}], "\[IndentingNewLine]", "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"Load", " ", "DRAKE"}], " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{"Needs", "[", "\"\<DRAKE`\>\"", "]"}], "\[IndentingNewLine]", 
   "\[IndentingNewLine]", 
   RowBox[{"(*", " ", 
    RowBox[{"wrapper", " ", "for", " ", "the", " ", "test", " ", "function"}],
     " ", "*)"}], "\[IndentingNewLine]", 
   RowBox[{
    RowBox[{
     RowBox[{"Test", "[", "name_", "]"}], ":=", 
     RowBox[{"Module", "[", 
      RowBox[{
       RowBox[{"{", "}"}], ",", "\[IndentingNewLine]", 
       RowBox[{"SwitchOffWarnings", ";", "\[IndentingNewLine]", 
        RowBox[{"model", "=", "name"}], ";", "\[IndentingNewLine]", 
        RowBox[{"parameters", "=", 
         RowBox[{"\"\<bm_\>\"", "<>", "model"}]}], ";", "\[IndentingNewLine]", 
        RowBox[{"settings", "=", 
         RowBox[{"\"\<settings_\>\"", "<>", "model"}]}], ";", 
        "\[IndentingNewLine]", 
        RowBox[{"Get", "[", "\"\<./test/test.wls\>\"", "]"}], ";", 
        "\[IndentingNewLine]", "SwitchOnWarnings", ";"}]}], 
      "\[IndentingNewLine]", "]"}]}], ";"}]}]}]], "Input",
 CellChangeTimes->{{3.822909415409127*^9, 3.822909428680743*^9}, {
  3.822909653128861*^9, 3.822909682043247*^9}, {3.822909733642805*^9, 
  3.822909738575327*^9}, {3.82369577788314*^9, 3.823695786199708*^9}}],

Cell[BoxData["\<\"Welcome to DRAKE v1.0!\"\>"], "Print",
 CellChangeTimes->{3.8229097454666157`*^9, 3.8229097938904047`*^9, 
  3.8229101553571444`*^9, 3.822910303787278*^9, 3.822910506613117*^9}]
}, Open  ]],

Cell[CellGroupData[{

Cell["WIMP model (WIMP)", "Subsection",
 CellChangeTimes->{{3.811478974732463*^9, 3.811478976064764*^9}, {
  3.812713463359456*^9, 3.812713464129777*^9}, {3.820387704860643*^9, 
  3.820387707711439*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Test", "[", "\"\<WIMP\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.782492162900406*^9, 3.782492171609035*^9}, {
   3.7825465586567383`*^9, 3.782546591778647*^9}, 3.7825469152534733`*^9, 
   3.782547005355794*^9, {3.7825472942504597`*^9, 3.7825473017048817`*^9}, {
   3.7830544876791897`*^9, 3.783054488742311*^9}, {3.789660273738163*^9, 
   3.789660274362083*^9}, {3.791267493757722*^9, 3.79126749424538*^9}, {
   3.799387300876959*^9, 3.799387301809622*^9}, {3.800283158885065*^9, 
   3.8002831598619747`*^9}, {3.803635058654443*^9, 3.803635062284082*^9}, 
   3.808734934380507*^9, {3.808746768300839*^9, 3.8087468339934797`*^9}, {
   3.8087469342579107`*^9, 3.80874694984978*^9}, {3.808748597914132*^9, 
   3.808748600927608*^9}, {3.8087539920356073`*^9, 3.808753992990007*^9}, {
   3.808996768047913*^9, 3.808996778002516*^9}, {3.811390453192789*^9, 
   3.811390458503669*^9}, {3.811478940540545*^9, 3.8114789407495127`*^9}, {
   3.8114793607467623`*^9, 3.811479405300476*^9}, {3.811482530853697*^9, 
   3.811482540741136*^9}, {3.811482589553878*^9, 3.811482617260304*^9}, {
   3.811482701713045*^9, 3.811482726803005*^9}, {3.8114828439254932`*^9, 
   3.811482863029622*^9}, 3.8114829037514887`*^9, {3.811482976209013*^9, 
   3.811483004876996*^9}, {3.811483052777492*^9, 3.811483065167185*^9}, {
   3.811484191716483*^9, 3.811484195986617*^9}, {3.812713257020904*^9, 
   3.812713259087144*^9}, {3.812801830834136*^9, 3.812801848523922*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Threshold model (TH)", "Subsection",
 CellChangeTimes->{{3.811479011847726*^9, 3.811479015711705*^9}, {
  3.8127163624656763`*^9, 3.812716364352314*^9}, {3.820387701852832*^9, 
  3.8203877028767843`*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Test", "[", "\"\<TH\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.782492162900406*^9, 3.782492171609035*^9}, {
   3.7825465586567383`*^9, 3.782546591778647*^9}, 3.7825469152534733`*^9, 
   3.782547005355794*^9, {3.7825472942504597`*^9, 3.7825473017048817`*^9}, {
   3.7830544876791897`*^9, 3.783054488742311*^9}, {3.789660273738163*^9, 
   3.789660274362083*^9}, {3.791267493757722*^9, 3.79126749424538*^9}, {
   3.799387300876959*^9, 3.799387301809622*^9}, {3.800283158885065*^9, 
   3.8002831598619747`*^9}, {3.803635058654443*^9, 3.803635062284082*^9}, 
   3.808734934380507*^9, {3.808746768300839*^9, 3.8087468339934797`*^9}, {
   3.8087469342579107`*^9, 3.80874694984978*^9}, {3.808748597914132*^9, 
   3.808748600927608*^9}, {3.8087539920356073`*^9, 3.808753992990007*^9}, {
   3.808996768047913*^9, 3.808996778002516*^9}, {3.811390453192789*^9, 
   3.811390458503669*^9}, {3.811478940540545*^9, 3.8114789407495127`*^9}, {
   3.8114793607467623`*^9, 3.811479405300476*^9}, {3.811482530853697*^9, 
   3.811482540741136*^9}, {3.811482589553878*^9, 3.811482617260304*^9}, {
   3.811482701713045*^9, 3.811482726803005*^9}, {3.8114828439254932`*^9, 
   3.811482863029622*^9}, 3.8114829037514887`*^9, {3.811482976209013*^9, 
   3.811483004876996*^9}, {3.811483052777492*^9, 3.8114830713110847`*^9}, {
   3.812715580254871*^9, 3.812715581285048*^9}, {3.812715713088064*^9, 
   3.8127157136383038`*^9}, {3.812716369665902*^9, 3.812716369864684*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Sommerfeld enhanced model (SE)", "Subsection",
 CellChangeTimes->{{3.811478986768495*^9, 3.811478991008335*^9}, {
  3.8203876982370987`*^9, 3.820387699772752*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Test", "[", "\"\<SE\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.782492162900406*^9, 3.782492171609035*^9}, {
   3.7825465586567383`*^9, 3.782546591778647*^9}, 3.7825469152534733`*^9, 
   3.782547005355794*^9, {3.7825472942504597`*^9, 3.7825473017048817`*^9}, {
   3.7830544876791897`*^9, 3.783054488742311*^9}, {3.789660273738163*^9, 
   3.789660274362083*^9}, {3.791267493757722*^9, 3.79126749424538*^9}, {
   3.799387300876959*^9, 3.799387301809622*^9}, {3.800283158885065*^9, 
   3.8002831598619747`*^9}, {3.803635058654443*^9, 3.803635062284082*^9}, 
   3.808734934380507*^9, {3.808746768300839*^9, 3.8087468339934797`*^9}, {
   3.8087469342579107`*^9, 3.80874694984978*^9}, {3.808748597914132*^9, 
   3.808748600927608*^9}, {3.8087539920356073`*^9, 3.808753992990007*^9}, {
   3.808996768047913*^9, 3.808996778002516*^9}, {3.811390453192789*^9, 
   3.811390458503669*^9}, {3.811478940540545*^9, 3.8114789407495127`*^9}, {
   3.8114793607467623`*^9, 3.811479405300476*^9}, {3.811482530853697*^9, 
   3.811482540741136*^9}, {3.811482589553878*^9, 3.811482617260304*^9}, {
   3.811482701713045*^9, 3.811482726803005*^9}, {3.8114828439254932`*^9, 
   3.811482863029622*^9}, 3.8114829037514887`*^9, {3.811482976209013*^9, 
   3.811483004876996*^9}, {3.811483052777492*^9, 3.811483065167185*^9}, {
   3.812715529062155*^9, 3.812715529723916*^9}}]
}, Open  ]],

Cell[CellGroupData[{

Cell["Vector resonance model (VRES)", "Subsection",
 CellChangeTimes->{{3.811478998287367*^9, 3.8114790031440983`*^9}, {
  3.820387685208912*^9, 3.820387695405026*^9}}],

Cell[BoxData[
 RowBox[{
  RowBox[{"Test", "[", "\"\<VRES\>\"", "]"}], ";"}]], "Input",
 CellChangeTimes->{{3.782492162900406*^9, 3.782492171609035*^9}, {
   3.7825465586567383`*^9, 3.782546591778647*^9}, 3.7825469152534733`*^9, 
   3.782547005355794*^9, {3.7825472942504597`*^9, 3.7825473017048817`*^9}, {
   3.7830544876791897`*^9, 3.783054488742311*^9}, {3.789660273738163*^9, 
   3.789660274362083*^9}, {3.791267493757722*^9, 3.79126749424538*^9}, {
   3.799387300876959*^9, 3.799387301809622*^9}, {3.800283158885065*^9, 
   3.8002831598619747`*^9}, {3.803635058654443*^9, 3.803635062284082*^9}, 
   3.808734934380507*^9, {3.808746768300839*^9, 3.8087468339934797`*^9}, {
   3.8087469342579107`*^9, 3.80874694984978*^9}, {3.808748597914132*^9, 
   3.808748600927608*^9}, {3.8087539920356073`*^9, 3.808753992990007*^9}, {
   3.808996768047913*^9, 3.808996778002516*^9}, {3.811390453192789*^9, 
   3.811390458503669*^9}, {3.811478940540545*^9, 3.8114789407495127`*^9}, {
   3.8114793607467623`*^9, 3.811479405300476*^9}, {3.811482530853697*^9, 
   3.811482540741136*^9}, {3.811482589553878*^9, 3.811482617260304*^9}, {
   3.811482701713045*^9, 3.811482726803005*^9}, {3.8114828439254932`*^9, 
   3.811482863029622*^9}, 3.8114829037514887`*^9, {3.811482976209013*^9, 
   3.811483004876996*^9}, {3.811483052777492*^9, 3.8114830713110847`*^9}, {
   3.812715580254871*^9, 3.812715581285048*^9}, {3.812715713088064*^9, 
   3.8127157136383038`*^9}}]
}, Open  ]]
},
WindowSize->{1440, 855},
WindowMargins->{{0, Automatic}, {Automatic, 0}},
FrontEndVersion->"11.0 for Mac OS X x86 (32-bit, 64-bit Kernel) (September \
21, 2016)",
StyleDefinitions->"Default.nb"
]
(* End of Notebook Content *)

(* Internal cache information *)
(*CellTagsOutline
CellTagsIndex->{}
*)
(*CellTagsIndex
CellTagsIndex->{}
*)
(*NotebookFileOutline
Notebook[{
Cell[558, 20, 389, 9, 54, "Input"],
Cell[CellGroupData[{
Cell[972, 33, 2041, 46, 369, "Input"],
Cell[3016, 81, 195, 2, 24, "Print"]
}, Open  ]],
Cell[CellGroupData[{
Cell[3248, 88, 203, 3, 44, "Subsection"],
Cell[3454, 93, 1486, 21, 32, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[4977, 119, 210, 3, 44, "Subsection"],
Cell[5190, 124, 1488, 21, 32, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[6715, 150, 169, 2, 44, "Subsection"],
Cell[6887, 154, 1388, 20, 32, "Input"]
}, Open  ]],
Cell[CellGroupData[{
Cell[8312, 179, 168, 2, 44, "Subsection"],
Cell[8483, 183, 1444, 21, 32, "Input"]
}, Open  ]]
}
]
*)

